For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Opportunity object
          • GET/opportunities
          • POST/opportunities
          • GET/opportunities/{id}
          • PATCH/opportunities/{id}
          • GET/opportunities/meta/patch/{id}
          • GET/opportunities/meta/post
          • GET/opportunities/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsOpportunities

/opportunities/{id}

PATCH
/crm/v1/opportunities/:id
PATCH
/api/crm/v1/opportunities/:id
$curl -X PATCH https://api.merge.dev/api/crm/v1/opportunities/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
200Updated
1{
2 "model": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Needs Integrations",
8 "description": "Needs a Unified API for Integrations!",
9 "amount": 100000,
10 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
11 "account": "0958cbc6-6040-430a-848e-aafacbadf4ae",
12 "stage": "1968cbc6-6040-430a-848e-aafacbadf4ad",
13 "status": "WON",
14 "last_activity_at": "2022-02-10T00:00:00Z",
15 "close_date": "2022-02-10T00:00:00Z",
16 "remote_created_at": "2021-11-10T00:00:00Z",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/opportunities",
29 "data": null
30 }
31 ],
32 "remote_fields": [
33 {
34 "remote_field_class": {
35 "id": "string",
36 "display_name": "string",
37 "remote_key_name": "string",
38 "description": "string",
39 "is_custom": true,
40 "is_common_model_field": true,
41 "is_required": true,
42 "field_type": "string",
43 "field_format": "string",
44 "field_choices": [
45 "string"
46 ],
47 "item_schema": {
48 "item_type": "string",
49 "item_format": "string",
50 "item_choices": [
51 "string"
52 ]
53 }
54 },
55 "value": "string"
56 }
57 ]
58 },
59 "warnings": [
60 {
61 "title": "Unrecognized Field",
62 "detail": "An unrecognized field, age, was passed in with request data.",
63 "problem_type": "UNRECOGNIZED_FIELD",
64 "source": {
65 "pointer": "/age"
66 },
67 "block_merge_link": true,
68 "raw_error": "string",
69 "error_code": 1
70 }
71 ],
72 "errors": [
73 {
74 "title": "Missing Required Field",
75 "detail": "custom_fields is a required field on model.",
76 "problem_type": "MISSING_REQUIRED_FIELD",
77 "source": {
78 "pointer": "/model/custom_fields"
79 },
80 "block_merge_link": true,
81 "raw_error": "string",
82 "error_code": 1
83 }
84 ],
85 "logs": [
86 {
87 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
88 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
89 "log_summary": {
90 "url": "www.exampleintegration.com/api/v1/exampleapi",
91 "method": "POST",
92 "status_code": 200
93 }
94 }
95 ]
96}

Updates an Opportunity object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/opportunities/{id}

Next

/opportunities/meta/patch/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Opportunity object is used to represent a deal opportunity in a CRM system.

Usage Example

TODO

Response

modelobject

Description

The Opportunity object is used to represent a deal opportunity in a CRM system.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects